Upstream information

CVE-2014-0791 at MITRE

Description

Integer overflow in the license_read_scope_list function in libfreerdp/core/license.c in FreeRDP through 1.0.2 allows remote RDP servers to cause a denial of service (application crash) or possibly have unspecified other impact via a large ScopeCount value in a Scope List in a Server License Request packet.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 857491 [RESOLVED / FIXED], 975218 [RESOLVED / UPSTREAM]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • freerdp >= 1.0.2-7.9
  • libfreerdp-1_0 >= 1.0.2-7.9
  • libfreerdp-1_0-plugins >= 1.0.2-7.9
Patchnames:
SUSE Linux Enterprise Desktop 12 GA freerdp
SUSE Linux Enterprise Desktop 12 SP1
  • freerdp >= 1.0.2-9.1
  • libfreerdp-1_0 >= 1.0.2-9.1
  • libfreerdp-1_0-plugins >= 1.0.2-9.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA freerdp
SUSE-SLE-DESKTOP-12-SP1-2016-1462
SUSE Linux Enterprise Desktop 12 SP2
  • freerdp >= 2.0.0~git.1463131968.4e66df7-11.69
  • libfreerdp2 >= 2.0.0~git.1463131968.4e66df7-11.69
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA freerdp
SUSE Linux Enterprise Desktop 12 SP3
  • freerdp >= 2.0.0~git.1463131968.4e66df7-11.69
  • libfreerdp2 >= 2.0.0~git.1463131968.4e66df7-11.69
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA freerdp
SUSE Linux Enterprise Software Development Kit 12
  • freerdp-devel >= 1.0.2-7.9
  • libfreerdp-1_0 >= 1.0.2-7.9
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA freerdp-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • freerdp >= 1.0.2-9.1
  • freerdp-devel >= 1.0.2-9.1
  • libfreerdp-1_0 >= 1.0.2-9.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA freerdp-devel
SUSE-SLE-SDK-12-SP1-2016-1462
SUSE Linux Enterprise Software Development Kit 12 SP2
  • freerdp-devel >= 2.0.0~git.1463131968.4e66df7-11.69
  • libfreerdp2 >= 2.0.0~git.1463131968.4e66df7-11.69
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA freerdp-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • freerdp-devel >= 2.0.0~git.1463131968.4e66df7-11.69
  • libfreerdp2 >= 2.0.0~git.1463131968.4e66df7-11.69
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA freerdp-devel
SUSE Linux Enterprise Workstation Extension 12
  • freerdp >= 1.0.2-7.9
  • libfreerdp-1_0 >= 1.0.2-7.9
  • libfreerdp-1_0-plugins >= 1.0.2-7.9
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 GA freerdp
SUSE Linux Enterprise Workstation Extension 12 SP1
  • freerdp >= 1.0.2-9.1
  • libfreerdp-1_0 >= 1.0.2-9.1
  • libfreerdp-1_0-plugins >= 1.0.2-9.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP1 GA freerdp
SUSE-SLE-WE-12-SP1-2016-1462
SUSE Linux Enterprise Workstation Extension 12 SP2
  • freerdp >= 2.0.0~git.1463131968.4e66df7-11.69
  • libfreerdp2 >= 2.0.0~git.1463131968.4e66df7-11.69
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA freerdp
SUSE Linux Enterprise Workstation Extension 12 SP3
  • freerdp >= 2.0.0~git.1463131968.4e66df7-11.69
  • libfreerdp2 >= 2.0.0~git.1463131968.4e66df7-11.69
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA freerdp
SUSE Linux Enterprise Workstation Extension 15
  • freerdp >= 2.0.0~rc2-1.8
  • freerdp-devel >= 2.0.0~rc2-1.8
  • libfreerdp2 >= 2.0.0~rc2-1.8
  • libwinpr2 >= 2.0.0~rc2-1.8
  • winpr2-devel >= 2.0.0~rc2-1.8
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 GA freerdp
openSUSE 13.1
  • freerdp >= 1.0.2-3.4.1
  • freerdp-debuginfo >= 1.0.2-3.4.1
  • freerdp-debugsource >= 1.0.2-3.4.1
  • freerdp-devel >= 1.0.2-3.4.1
  • libfreerdp-1_0 >= 1.0.2-3.4.1
  • libfreerdp-1_0-debuginfo >= 1.0.2-3.4.1
  • libfreerdp-1_0-plugins >= 1.0.2-3.4.1
  • libfreerdp-1_0-plugins-debuginfo >= 1.0.2-3.4.1
Patchnames:
openSUSE-2014-452
openSUSE Leap 15.0
  • freerdp >= 2.0.0~rc2-lp150.1.1
  • libfreerdp2 >= 2.0.0~rc2-lp150.1.1
  • libwinpr2 >= 2.0.0~rc2-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA freerdp
openSUSE Leap 42.1
  • freerdp >= 1.0.2-9.1
  • freerdp-debuginfo >= 1.0.2-11.1
  • freerdp-debugsource >= 1.0.2-11.1
  • freerdp-devel >= 1.0.2-11.1
  • libfreerdp-1_0 >= 1.0.2-9.1
  • libfreerdp-1_0-debuginfo >= 1.0.2-11.1
  • libfreerdp-1_0-plugins >= 1.0.2-9.1
  • libfreerdp-1_0-plugins-debuginfo >= 1.0.2-11.1
Patchnames:
openSUSE Leap 42.1 GA freerdp
openSUSE-2016-1131
openSUSE Leap 42.2
  • freerdp >= 2.0.0~git.1463131968.4e66df7-2.18
  • libfreerdp2 >= 2.0.0~git.1463131968.4e66df7-2.18
Patchnames:
openSUSE Leap 42.2 GA freerdp
openSUSE Leap 42.3
  • freerdp >= 2.0.0~git.1463131968.4e66df7-4.26
  • libfreerdp2 >= 2.0.0~git.1463131968.4e66df7-4.26
Patchnames:
openSUSE Leap 42.3 GA freerdp
openSUSE Tumbleweed
  • freerdp >= 2.0.0~git.1463131968.4e66df7-2.5
  • freerdp-devel >= 2.0.0~git.1463131968.4e66df7-2.5
  • libfreerdp2 >= 2.0.0~git.1463131968.4e66df7-2.5
Patchnames:
openSUSE Tumbleweed GA freerdp


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 GA freerdp Released
SUSE Linux Enterprise Desktop 12 SP1 freerdp Released
SUSE Linux Enterprise SDK 12 GA freerdp Released
SUSE Linux Enterprise SDK 12 SP1 freerdp Released
SUSE Linux Enterprise Workstation Extension 12 GA freerdp Released
SUSE Linux Enterprise Workstation Extension 12 SP1 freerdp Released